Subject: Re: bug#58135: 29.0.50; Typing getting garbled in mail-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Nov 2022 20:00:09 +0200

> Cc: [email-masked]
> Date: Tue, 1 Nov 2022 15:44:50 +0000
> From: Robert Marshall <[email-masked]>
> 
>  > > Typically I'm seeing characters not appearing and then the buffered
>  > > text appears all at once in a randomised 'wodge'. I've just this morning typed
>  > > Matt and ttaM appeared on the screen, I don't think I'd have pressed
>  > > the shift key in such a wildly incorrect place.  Another example - "to
>  > > discuss?" came out as "tsis?d oucs" (without the quotes)
>  > >
>  > > Typically none of *this* message came out garbled but it's a more or less daily
>  > > event.
>  > 
>  > Is Emacs otherwise responsive to non-keyboard input during the wedge
>  > preceeding the ``wodge''?  One way to find out is to see if a relief
>  > appears on tool bar buttons if you move your mouse over them during that
>  > period.
>  > 
> 
> I don't tend to see the scrambling until it's done (: too focussed on
> the keyboard! What seems to be the case is that the problem happens
> during an auto save - so emacs won't be responsive, when it comes out
> of that pause, the letters buffered up appear but not in the correct order. I
> have a fairly large INBOX (in vm) that I sometimes don't save for a
> bit so auto saving can take a few seconds.

Is the wrong order real, or just on display?  IOW, what happens if you
save the buffer to a file -- do you see the wrong order in the file as
well?